For the complete documentation index, see llms.txt. This page is also available as Markdown.

Roboflow Agent

इन-ऐप Roboflow Agent जो Workflows और Rapid models बनाता, चलाता, और डिबग करता है, साथ ही उसका HTTP चैट API।

के बारे में

Roboflow Agent की पहुँच आपके कार्यक्षेत्र तक है और यह बना, संपादित, चला, और डिबग कर सकता है वर्कफ़्लोज़. आप इसका उपयोग सेट अप करने के लिए भी कर सकते हैं Rapid मॉडल. अपने कार्यक्षेत्र के बाएँ साइडबार में "Agent" पर क्लिक करके Agent तक पहुँचें।

क्षमताएँ

Agent इनके साथ काम कर सकता है:

पृष्ठभूमि कार्य

Agent द्वारा शुरू की गई लंबी जॉब्स आपके चैट करते रहने पर भी चलती रहती हैं: मॉडल प्रशिक्षण, ऑटो-लेबलिंग, डेटासेट संस्करण जनरेशन, प्रोजेक्ट मर्ज, क्लास रीमैप, स्प्लिट पुनर्संतुलन, और बैच प्रोसेसिंग जॉब्स। चैट बॉक्स के ऊपर का एक पिल चल रही जॉब्स की गिनती करता है। उस पर क्लिक करें, या बाएँ मेनू में "Background Tasks" पर क्लिक करें, ताकि एक पैनल खुले जो उन्हें "Running" और "Finished" के तहत सूचीबद्ध करता है। किसी कार्य पर क्लिक करके वह पेज खोलें जिसे उसने बनाया था।

जब कोई कार्य पूरा होता है, Agent चैट में आपको बताता है, भले ही आपने टैब बंद कर दिया हो और बाद में वापस आए हों। यहाँ केवल वे जॉब्स दिखती हैं जो किसी बातचीत के भीतर से शुरू की गई हों। ऐप में कहीं और या API के माध्यम से शुरू किया गया प्रशिक्षण यहाँ नहीं दिखता, और आप उसे इसके बजाय Activity Center में ट्रैक करते हैं।

HTTP API

Agent API आपको Roboflow AI agent के साथ इंटरैक्ट करने देती है api.roboflow.com. आप प्राकृतिक भाषा के निर्देश भेजकर बना या संपादित कर सकते हैं वर्कफ़्लोज़फिर तैयार होने पर उन्हें प्रकाशित करें। सभी संपादन ड्राफ्ट के रूप में सहेजे जाते हैं जब तक कि आप स्पष्ट रूप से प्रकाशित न करें।

प्रमाणीकरण माध्यम से होता है API कुंजी. यदि आप एक स्कोप्ड API कुंजी फ़ोल्डर प्रतिबंधों वाली स्कोप्ड API कुंजी का उपयोग करने पर, agent केवल उस फ़ोल्डर स्कोप के भीतर मौजूद वर्कफ़्लो और मॉडल्स तक पहुँच सकेगा, और वह फ़ोल्डर के बाहर मौजूद प्रोजेक्ट नहीं देख पाएगा। agent से workspace models सूचीबद्ध करने को कहना केवल वही models लौटाता है जिन्हें caller पहले से देख सकता है।

चैट

Agent को संदेश भेजें। एक नई बातचीत शुरू करें, या पास करके किसी मौजूदा को जारी रखें conversation_id.

Chat with the agent

post

Send a message to the agent. The agent can create new Workflows, edit existing ones, and answer questions about your workspace. Workflow changes are saved as drafts. Requires the workflow:create and workflow:update scopes.

Path parameters
workspacestringRequired

Workspace URL slug.

Example: my-workspace
Body
api_keystringRequired

Workspace API key.

messagestringRequired

The instruction or question for the agent.

Example: Build me a workflow that detects cars and counts them
conversation_idstringOptional

ID of an existing conversation to continue. Omit to start a new conversation.

Example: conv_xyz789
modestring · enumOptional

agent (default) makes changes. In plan mode the agent outlines what it would do without making changes.

Default: agentPossible values:
Responses
200

The agent's reply.

application/json
textstringOptional

The agent's response text.

Example: I created a workflow called 'Car Counter' that detects and counts cars.
conversation_idstringOptional

The conversation ID. Pass it back in later requests to continue the conversation.

Example: conv_xyz789
post/{workspace}/agent/chat
POST /{workspace}/agent/chat HTTP/1.1
Host: api.roboflow.com
Content-Type: application/json
Accept: */*
Content-Length: 131

{
  "api_key": "text",
  "message": "Build me a workflow that detects cars and counts them",
  "conversation_id": "conv_xyz789",
  "mode": "agent"
}
{
  "text": "I created a workflow called 'Car Counter' that detects and counts cars.",
  "workflows": [
    {
      "id": "wf_abc123",
      "name": "Car Counter",
      "url": "car-counter",
      "specification": {}
    }
  ],
  "conversation_id": "conv_xyz789"
}

वर्कफ़्लो प्रकाशित करें

Agent द्वारा बनाए या संपादित किए गए वर्कफ़्लो के नवीनतम ड्राफ्ट को डिप्लॉय करें।

Publish a Workflow

post

Deploy the latest draft version of a Workflow that the agent created or edited. Returns 400 if there is no unpublished draft. Requires the workflow:update scope.

Path parameters
workspacestringRequired

Workspace URL slug.

Example: my-workspace
workflowUrlstringRequired

Workflow URL slug.

Example: car-counter
Query parameters
api_keystringRequired

Workspace API key.

Responses
200

The draft was published.

application/json
workflowIdstringOptionalExample: wf_abc123
workflowUrlstringOptionalExample: car-counter
versionIdstringOptionalExample: v-1700000000
statusstringOptionalExample: published
post/{workspace}/agent/workflows/{workflowUrl}/publish
POST /{workspace}/agent/workflows/{workflowUrl}/publish?api_key=text HTTP/1.1
Host: api.roboflow.com
Accept: */*
{
  "workflowId": "wf_abc123",
  "workflowUrl": "car-counter",
  "versionId": "v-1700000000",
  "status": "published"
}

बातचीतों की सूची

List conversations

get

Return all agent conversations in the workspace. Requires the workflow:read scope.

Path parameters
workspacestringRequired

Workspace URL slug.

Example: my-workspace
Query parameters
api_keystringRequired

Workspace API key.

sourcestring · enumOptional

Filter by origin: api or web.

Possible values:
workflowstringOptional

Filter by Workflow URL slug. Only returns conversations that reference this Workflow.

Responses
200

The workspace's conversations.

application/json
get/{workspace}/agent/conversations
GET /{workspace}/agent/conversations?api_key=text HTTP/1.1
Host: api.roboflow.com
Accept: */*
{
  "conversations": [
    {
      "id": "conv_xyz789",
      "name": "Car Counter",
      "source": "api",
      "workflowIds": [
        "wf_abc123"
      ],
      "created_on": "2026-05-14T20:00:00.000Z",
      "updated_on": "2026-05-14T20:05:00.000Z"
    }
  ]
}

एक बातचीत प्राप्त करें

Get a conversation

get

Return the full conversation including all messages. Requires the workflow:read scope.

Path parameters
workspacestringRequired

Workspace URL slug.

Example: my-workspace
idstringRequired

Conversation ID.

Example: conv_xyz789
Query parameters
api_keystringRequired

Workspace API key.

Responses
200

The conversation with its messages.

application/json
idstringOptionalExample: conv_xyz789
namestringOptionalExample: Car Counter
sourcestring · enumOptional

Where the conversation started: api or web.

Example: apiPossible values:
workflowIdsstring[]Optional

IDs of Workflows referenced by the conversation.

Example: ["wf_abc123"]
created_onstring · date-timeOptionalExample: 2026-05-14T20:00:00.000Z
updated_onstring · date-timeOptionalExample: 2026-05-14T20:05:00.000Z
typestringOptionalExample: agent
get/{workspace}/agent/conversations/{id}
GET /{workspace}/agent/conversations/{id}?api_key=text HTTP/1.1
Host: api.roboflow.com
Accept: */*
{
  "id": "conv_xyz789",
  "name": "Car Counter",
  "source": "api",
  "workflowIds": [
    "wf_abc123"
  ],
  "created_on": "2026-05-14T20:00:00.000Z",
  "updated_on": "2026-05-14T20:05:00.000Z",
  "type": "agent",
  "messages": [
    {
      "id": "msg_1",
      "role": "user",
      "parts": [
        {
          "type": "text",
          "text": "Build me a workflow that detects cars"
        }
      ]
    }
  ]
}

MCP सर्वर

अपने AI agent को इससे कनेक्ट करें MCP सर्वर और यह इन टूल्स के साथ काम Roboflow Agent को सौंप सकता है:

टूल
विवरण

agent_chat

Roboflow AI agent के साथ चैट करें।

agent_chat_result

उस रन का परिणाम एकत्र करें जो अभी भी चल रहा था।

agent_conversations_list

कार्यक्षेत्र में agent की बातचीतों की सूची बनाएं।

agent_conversation_get

एक बातचीत को उसके संदेश इतिहास सहित प्राप्त करें।

agent_workflow_publish

Agent द्वारा संपादित वर्कफ़्लो के नवीनतम ड्राफ्ट को प्रकाशित करें।

अंतिम अपडेट

क्या यह उपयोगी था?